Skip to main content
GET
/
api
/
v1
/
assistant
/
me
Get My Assistant
curl --request GET \
  --url https://api.example.com/api/v1/assistant/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "hired_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "persona_preset": "<string>",
  "active_skills": [
    "<string>"
  ],
  "personality": {},
  "avatar": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

id
string<uuid>
required
user_id
string<uuid>
required
hired_agent_id
string<uuid>
required
name
string
required
persona_preset
string
required
active_skills
string[]
required
personality
Personality · object
required
avatar
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required